Get source details
GET
/api/sources/{sourceId}
const url = 'https://firma.company-gpt.com/companygpt/rag/api/api/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://firma.company-gpt.com/companygpt/rag/api/api/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „Parameters“Path Parameters
Abschnitt betitelt „Path Parameters“sourceId
required
string format: uuid
Responses
Abschnitt betitelt „Responses“Source details
Media typeapplication/json
Data source configuration (database.SourceConfig)
object
id
required
string format: uuid
name
required
string
sourceType
required
string
config
required
Source-specific configuration
object
key
additional properties
any
enabled
required
boolean
syncSchedule
string
collectionId
string format: uuid
createdBy
string format: uuid
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
lastSyncAt
string format: date-time
Example
{ "sourceType": "webcrawl", "syncSchedule": "hourly"}Invalid source ID
Unauthorized
Source not found